Popular podcatcher Overcast updated with iOS 13 and Dark Mode support

What you need to know

  • Overcast has been updated to support iOS 13.
  • Dark Mode is now officially supported.
  • iOS 13 is now required to run the app.

Overcast joins the iOS 13 club.

Popular podcatcher Overcast has been updated with support for iOS 13. In fact, iOS 13 is now required in order to run the latest version of the app. Subsequent updates will also require iOS 13 or later.

The move to iOS 13 allows for Dark Mode support, although a dark theme has been one of Overcast’s features for a long time. With this update users can have either black or dark gray interfaces selected when the iOS system-wide Dark Mode setting is active. That’s good news for those of us who aren’t fans of pure black themes in apps.

Developer Marco Arment said via the Overcast Twitter account that the reason behind requiring iOS 13 is simply a case of avoiding bugs.

As the tweets say, the previous version of Overcast will continue to work just fine for those running older versions of iOS. And it is also the version those users will see when looking at the App Store – Apple only displays apps that are compatible with the version of iOS being used at the time.

The new Overcast 2019.10 update is available for download for free from the App Store now.